﻿using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel;

namespace ASHermed.SinoInterface.Api.IRepository
{

    public interface IPubBannerRepository : IBaseRepositoryToASHermed_SinoInterface<Pub_Banner>
    {
        List<Pub_Banner> GetBanner(int language, int showWhere);
        Task<List<AppletBtn>> GetFunction(int showWhere, int language);
        List<City> GetSinoCity(int language);
    }
}
